const { tardis } = require('tardis-node')

async function stream() {
  const messages = tardis.stream({
    exchange: 'bitmex',
    filters: [
      { channel: 'trade', symbols: ['XBTUSD'] },
      { channel: 'orderBookL2', symbols: ['XBTUSD'] }
    ]
  })

  for await (const message of messages) {
    console.log(message)
  }
}

await stream();